"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.attributeFilter = void 0;
/**
 * This function defines a filter which attempts to return an array which only
 * contains the requested attribute as its elements.
 * @param array The array to be filtered.
 * @param attributeName The name of the attribute.
 */
function attribute(array, attributeName) {
    return array.map((item) => item[attributeName]);
}
exports.attributeFilter = {
    name: 'attribute',
    function: attribute,
};
//# sourceMappingURL=attribute.js.map