"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = require("./filterCollections/typescript");
const tests_1 = require("./tests");
const path_1 = __importDefault(require("path"));
const templateDir = path_1.default.resolve(__dirname, '../../');
const CrosslabTypeScriptAddon = {
    filterCollections: [typescript_1.TypeScriptFilterCollection],
    presets: [
        {
            name: 'service',
            filterCollections: [typescript_1.TypeScriptFilterCollection],
            globals: [],
            tests: [
                {
                    name: 'attrequalto',
                    function: tests_1.attributeEqualTo,
                },
            ],
            templatesDir: templateDir + '/templates/service',
        },
        {
            name: 'client',
            filterCollections: [typescript_1.TypeScriptFilterCollection],
            globals: [],
            tests: [
                {
                    name: 'attrequalto',
                    function: tests_1.attributeEqualTo,
                },
            ],
            templatesDir: templateDir + '/templates/client',
        },
        {
            name: 'client:basicValidation',
            filterCollections: [typescript_1.TypeScriptFilterCollection],
            globals: [],
            tests: [],
            templatesDir: templateDir + '/templates/client-basicValidation',
        },
        {
            name: 'service:test',
            filterCollections: [typescript_1.TypeScriptFilterCollection],
            globals: [],
            tests: [
                {
                    name: 'attrequalto',
                    function: tests_1.attributeEqualTo,
                },
            ],
            templatesDir: templateDir + '/templates/service-test',
        },
        {
            name: 'scopes',
            filterCollections: [typescript_1.TypeScriptFilterCollection],
            globals: [],
            tests: [],
            templatesDir: templateDir + '/templates/scopes',
        },
    ],
};
exports.default = CrosslabTypeScriptAddon;
//# sourceMappingURL=index.js.map