import { generateTyping } from '../../typings/typing';
/**
 * This function defines a filter which attempts to generate the inline type
 * declaration for a given schema.
 * @param schema The schema for which to generate the inline type declaration.
 * @returns The generated inline type declaration.
 */
function inlineTypeDeclaration(schema) {
    return generateTyping(schema, { inline: true }).typeDeclaration;
}
export const inlineTypeDeclarationFilter = {
    name: 'inlineTypeDeclaration',
    function: inlineTypeDeclaration,
};
//# sourceMappingURL=inlineTypeDeclaration.js.map